ViewUpdate (jEdit API Documentation)
Date: 2015-10-20

org.gjt.sp.jedit.msg

## Class ViewUpdate

- java.lang.Object
- - org.gjt.sp.jedit.EBMessage
  - - org.gjt.sp.jedit.msg.ViewUpdate

-     public class ViewUpdate
      extends EBMessage

  Message sent when a view-related change occurs.
  Since:
    jEdit 2.2pre6

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.Object` | `ACTIVATED` Active view changed.
    `static java.lang.Object` | `CLOSED` View closed.
    `static java.lang.Object` | `CREATED` View created.
    `static java.lang.Object` | `EDIT_PANE_CHANGED` Active edit pane changed.
    `static java.lang.Object` | `FULL_SCREEN_TOGGLED` Full screen mode has been toggled.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViewUpdate(View view, java.lang.Object what)` Creates a new view update message.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `View` | `getView()` Returns the view involved.
    `java.lang.Object` | `getWhat()` Returns what caused this view update.
    `java.lang.String` | `paramString()`

    - ### Methods inherited from class org.gjt.sp.jedit.EBMessage

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CREATED

          public static final java.lang.Object CREATED

      View created.

    - #### CLOSED

          public static final java.lang.Object CLOSED

      View closed.

    - #### EDIT_PANE_CHANGED

          public static final java.lang.Object EDIT_PANE_CHANGED

      Active edit pane changed.
      Since:
        jEdit 4.1pre1

    - #### ACTIVATED

          public static final java.lang.Object ACTIVATED

      Active view changed.
      Since:
        jEdit 4.3pre4

    - #### FULL_SCREEN_TOGGLED

          public static final java.lang.Object FULL_SCREEN_TOGGLED

      Full screen mode has been toggled.
      Since:
        jEdit 5.3pre1

  - ### Constructor Detail

    - #### ViewUpdate

          public ViewUpdate(View view,
                            java.lang.Object what)

      Creates a new view update message.
      Parameters:
        `view` - The view
        `what` - What happened

  - ### Method Detail

    - #### getWhat

          public java.lang.Object getWhat()

      Returns what caused this view update.

    - #### getView

          public View getView()

      Returns the view involved.

    - #### paramString

          public java.lang.String paramString()

      Overrides:
        `paramString` in class `EBMessage`
      Returns:
        a string representation of this message's parameters.